using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 小程序模版
    /// </summary>
    [SugarTable("YB_MiniProgramsTpl", TableDescription = "小程序模版", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_MiniProgramsTpl
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 模板 id
        /// </summary>
        [SugarColumn(ColumnDescription = "模板 id")]
        public System.Int32 TemplateId { get; set; }

        /// <summary>
        /// 模板版本号，开发者自定义字段
        /// </summary>
        [SugarColumn(ColumnDescription = "模板版本号，开发者自定义字段", ColumnDataType = "varchar(100)")]
        public System.String UsrVersion { get; set; }

        /// <summary>
        /// 模板描述，开发者自定义字段
        /// </summary>
        [SugarColumn(ColumnDescription = "模板描述，开发者自定义字段", ColumnDataType = "nvarchar(200)")]
        public System.String UserDesc { get; set; }

        /// <summary>
        /// 被添加为模板的时间
        /// </summary>
        [SugarColumn(ColumnDescription = "被添加为模板的时间")]
        public System.DateTime CreateTime { get; set; }

        /// <summary>
        /// 同步时间
        /// </summary>
        [SugarColumn(ColumnDescription = "同步时间")]
        public System.DateTime SyncTime { get; set; }
    }
}
